# $Revision: 1.55 $, $Date: 2010/06/05 22:46:27 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
			# requires terminal
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Term
%define		pnam	ReadKey
Summary:	Term::ReadKey - Perl module for simple terminal control
Summary(pl.UTF-8):	Term::ReadKey - moduł Perla do prostego sterowania terminalem
Name:		perl-Term-ReadKey
Version:	2.30
Release:	6
License:	BSD-like
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Term/%{pdir}%{pnam}-%{version}.tar.gz
# Source0-md5:	f0ef2cea8acfbcc58d865c05b0c7e1ff
URL:		http://search.cpan.org/dist/TermReadKey/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Obsoletes:	perl-%{pdir}%{pnam}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module, Term::ReadKey, provides ioctl control for terminals so
the input modes can be changed (thus allowing reads of a single
character at a time), and also provides non-blocking reads of stdin,
as well as several other terminal related features, including
retrieval/modification of the screen size, and retrieval/modification
of the control characters.

%description -l pl.UTF-8
Moduł Perla Term::ReadKey udostępnia obsługę ioctl dla terminali,
umożliwiając zmianę trybu wejścia (co pozwala na czytanie po jednym
znaku) oraz nieblokujący odczyt z wejścia, a także inne funkcje
związane z terminalem, w tym odczytywanie i modyfikowanie rozmiaru
ekranu oraz odczytywanie i modyfikowanie znaków kontrolnych.

%description -l pt_BR.UTF-8
Este módulo fornece controle via ioctl para terminais, de tal forma
que seus modos de entrada possam ser modificados (desta forma
permitindo a leitura de um caracter somente por vez) e também fornece
leitura não bloqueantes da entrada padrão (stdin), bem como várias
outras características relacionadas a terminais, entre elas a
recuperação/modificação do tamanho da tela e dos caracteres de
controle.

%prep
%setup -q -n TermReadKey-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorarch}/Term/ReadKey.pm
%dir %{perl_vendorarch}/auto/Term/ReadKey
# empty autosplit.ix
#%%{perl_vendorarch}/auto/Term/ReadKey/autosplit.ix
%{perl_vendorarch}/auto/Term/ReadKey/ReadKey.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Term/ReadKey/ReadKey.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Term-ReadKey.spec,v $
Revision 1.55  2010/06/05 22:46:27  arekm
- release 6

Revision 1.54  2009/03/13 16:30:28  hawk
- release 5

Revision 1.53  2008/03/24 21:43:04  qboosh
- generic URL
- informative summaries

Revision 1.52  2008-03-02 18:11:24  radek
- release 4

Revision 1.51  2008-02-08 14:07:24  arekm
- rel 3

Revision 1.50  2008-01-31 22:05:27  glen
- rel 2

Revision 1.49  2008-01-10 08:38:41  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.48  2007-02-13 07:47:15  glen
- tabs in preamble

Revision 1.47  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.46  2005/05/29 16:15:19  petec
- up to 2.30

Revision 1.45  2005/05/09 10:05:04  pluto
- release bump for rebuild for x86-64 target.

Revision 1.44  2004/11/03 22:30:47  paladine
- formatting

Revision 1.43  2004/10/24 16:26:28  paladine
- spelling fixes, uppercases, etc.

Revision 1.42  2004/06/05 18:10:47  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.41  2004/05/07 00:35:13  ankry
- rel. 3

Revision 1.40  2004/05/06 18:01:32  ankry
- fixed perl-devel BR

Revision 1.39  2004/05/05 11:02:13  ankry
- cosmetics

Revision 1.38  2004/05/03 00:54:30  ankry
- tests added, license fizes, cosmetics

Revision 1.37  2004/03/13 23:09:17  eothane
- new bcond style; some cosmetics here and there; changelog cleanups

Revision 1.36  2004/02/18 16:27:02  qboosh
- s/no/nb/ in Summary langs

Revision 1.35  2003/09/09 10:24:50  ankry
- spaces -> tab

Revision 1.34  2003/08/18 08:09:17  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.33  2003/05/28 13:01:04  malekith
- massive attack: source-md5

Revision 1.32  2003/05/25 06:25:01  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.31  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.30  2003/03/01 21:34:39  radek
- should be ready for perl-5.8.0; release++

Revision 1.29  2003/02/28 10:08:32  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.28  2003/02/24 20:31:57  radek
- use the __perl macro

Revision 1.27  2003/02/18 15:38:32  ankry
- massive attack: change CPAN URLs

Revision 1.26  2002/09/29 18:57:06  ankry
- tests disabled - they require terminal

Revision 1.25  2002/09/28 23:24:29  ankry
- added tests, translations
- removed empty autosplit.ix, cleaning
- version 2.21

Revision 1.24  2002/07/12 09:49:56  qboosh
- new %%doc and cosmetics

Revision 1.23  2002/07/11 08:04:25  depesz
- new version; should work; STBR

Revision 1.22  2002/07/10 08:48:48  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.21  2002/05/15 12:30:05  areq
- 2.19, STBR

Revision 1.20  2002/05/11 14:28:13  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/03/03 22:02:00  marcus
- rel.2.

Revision 1.18  2002/02/22 23:29:33  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/10 15:34:49  depesz
- adapterized

Revision 1.16  2002/01/26 15:11:28  kloczek
- updated to 2.17 (bugfixes),
- merged trranslations from Conectiva,
- added perl-TermReadKey to Obsoletes.

Revision 1.15  2002/01/18 02:14:31  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2002/01/10 09:22:41  kloczek
- updated to 2.16 (bugfix release).

Revision 1.13  2001/11/17 07:21:40  kloczek
- updated to 2.15.

Revision 1.12  2001/04/30 16:05:28  kloczek
- added using %%{rpmcflags} macro.

Revision 1.11  2001/04/17 12:16:14  baggins
- release 4
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:10  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/25 20:03:47  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.8  2001/01/24 00:08:48  kloczek
- release 3: cosmetics.

Revision 1.7  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.6  2000/12/08 12:55:42  kloczek
- release 2: use new rpm automation and rebuild against perl 5.6.

Revision 1.5  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/05/23 17:57:17  kloczek
- spec adapterized.

Revision 1.3  2000/04/01 11:15:28  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:59  baggins
- translated kloczkish into english

Revision 1.1  2000/02/17 19:23:48  pius
- initial release
